Bug 7587 - [UPDATE REQUEST] X11 input drivers and libraries
: [UPDATE REQUEST] X11 input drivers and libraries
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-12-14 18:50 MSK by Eugene Shatokhin
Modified: 2017-01-02 18:58 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
eugene.shatokhin: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2016-12-14 18:50:11 MSK
x11-driver-input-libinput, x11-driver-input-evdev, x11-driver-input-wacom and their dependencies. They are interconnected, so I created a single update request for them.
Comment 1 Eugene Shatokhin 2016-12-14 18:59:47 MSK
Advisory:
This update adds "libinput" X11 driver v0.23.0 - this driver should now handle most of the input devices. The updated versions of the "evdev" (2.10.4) and "wacom" (0.34.0) input drivers with a number of fixes are also provided. The libraries and tools these drivers require, namely, mtdev, libwacom, libevdev and libinput, were updated to versions 1.1.5-3, 0.22, 1.5.4 and 1.5.3, respectively. The meta-package x11-driver-input was also updated to pull in the commonly used drivers.
Note that, with some laptop models, you may need to configure the touchpad settings again after this update.


Build lists:

mtdev:
	https://abf.io/build_lists/2790396
	https://abf.io/build_lists/2790397
libwacom:
	https://abf.io/build_lists/2790398
	https://abf.io/build_lists/2790408
libevdev:
	https://abf.io/build_lists/2790400
	https://abf.io/build_lists/2790401
libinput:
	https://abf.io/build_lists/2790414
	https://abf.io/build_lists/2790415
x11-driver-input-libinput:
	https://abf.io/build_lists/2790420
	https://abf.io/build_lists/2790421
x11-driver-input-evdev:
	https://abf.io/build_lists/2790416
	https://abf.io/build_lists/2790417
x11-driver-input-wacom:
	https://abf.io/build_lists/2790418
	https://abf.io/build_lists/2790419
x11-driver-input:
	https://abf.io/build_lists/2790424
	https://abf.io/build_lists/2790425
Comment 2 Vladimir Potapov 2016-12-21 09:22:34 MSK
The update is sent to expanded testing
**************************************
Comment 3 Vladimir Potapov 2017-01-02 14:02:01 MSK
mtdev-1.1.5-3
https://abf.io/build_lists/2790396
https://abf.io/build_lists/2790397

libwacom-0.22-2
https://abf.io/build_lists/2790398
https://abf.io/build_lists/2790408

libevdev-1.5.4-3
https://abf.io/build_lists/2790400
https://abf.io/build_lists/2790401

libinput-1.5.3-1
https://abf.io/build_lists/2790414
https://abf.io/build_lists/2790415

x11-driver-input-libinput-0.23.0-1
https://abf.io/build_lists/2790420
https://abf.io/build_lists/2790421

x11-driver-input-evdev-2.10.4-3
https://abf.io/build_lists/2790416
https://abf.io/build_lists/2790417

x11-driver-input-wacom-0.34.0-1
https://abf.io/build_lists/2790418
https://abf.io/build_lists/2790419

x11-driver-input-2.0-2
https://abf.io/build_lists/2790424
https://abf.io/build_lists/2790425

*************************** Advisory *************************
This update adds "libinput" X11 driver v0.23.0 - this driver should now handle most of the input devices. The updated versions of the "evdev" (2.10.4) and "wacom" (0.34.0) input drivers with a number of fixes are also provided. The libraries and tools these drivers require, namely, mtdev, libwacom, libevdev and libinput, were updated to versions 1.1.5-3, 0.22, 1.5.4 and 1.5.3, respectively. The meta-package x11-driver-input was also updated to pull in the commonly used drivers.
Note that, with some laptop models, you may need to configure the touchpad settings again after this update.
***************************************************************
QA Verified